[Project Properties] certain ellipsoids selected cause transform initialization failure
Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21972

Description

In Project Properties, General, Ellipsoid - selecting some ellipsoids give huge values in Identify derived, both area and perimeter for

polygons, and length for lines.

It appears that the transform does not initialize, according to the debug logger. However, the user is not informed of the failure.

Some ellipsoids that don't work: IGNF:ELG..., the various planet/moon names (not an exhaustive list)

I compared the list of ellipsoids in PROJ.4 (proj -le) to the list in tbl_ellipsoid and found by testing various ellipsoids that an ellipsoid in

tbl_ellipsoid that does not have a PROJ.4 entry produces a transform initialization failure, therefore the very large area values. The user

CRS that results shows +ellps= with the acronym from tbl_ellipsoid.

I have tried the user defined CRS (the projection shows longlat) that resulted from the ellipsoid choice as a project CRS (OTF on) and find

that there appears to be no difference in the displayed map, aside from a very large Scale value displayed. A feature set that was in UTM

most likely would have been stretched horizontally if the project CRS actually was transforming the geometries to longlat.

I am rating the priority as High because of the silent transform failure.

History

#1 - 2017-03-07 02:53 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

Is this the case on recent qgis releases (includes master for QGIS3)?

#2 - 2017-04-30 10:55 AM - Giovanni Manghi

- Description updated

Is this still true on qgis3/master (the code around projections has changed a lot)?

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-05-26 05:20 PM - Giovanni Manghi
- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.

#5 - 2017-10-18 10:02 PM - Steven Mizuno

- Status changed from Closed to Reopened

- Resolution deleted (not reproducable)

I am reopening this because certain ellipsoids are still not initializing properly. Specifically, the ellipsoid WGS84 (no space in the name) is not working

correctly. See #17296 . This shows as Clarke 1866 when you return to selecting an ellipsoid.

Further testing shows that any ellipsoid in tbl_ellipsoid that has an acronym beginning with IGNF:ELG is still not correctly initializing. These all will show

Clarke 1866 as the ellipsoid when you return to selecting an ellipsoid.

I detect a possible problem with the value in the acronym column when there is a colon ':' in the value.

#6 - 2017-10-19 04:06 PM - Giovanni Allegri

I confirm the problem also on Ubuntu 16.04

#7 - 2017-10-20 07:23 PM - Steven Mizuno

I have found two more ellipsoids that have a different initialization problem. These have zero for the a, b parameters. This causes NAN in Measure dialog.

They are: 

Appl. Physics. 1965

Naval Weapons Lab., 1965

#8 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
